/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:35pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\MasterMikael.cs
Lines of code: 91

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a skeletal corpse" )]
	public class MasterMikael : BaseCreature
	{
		[Constructable]
		public MasterMikael() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.15, 0.18  )
		{
			Name = "Master Mikael";
			Body = 148;
			Hue = 2410;
			BaseSoundID = 451;

			SetStr( 80, 126 );
			SetDex( 64, 103 );
			SetInt( 225, 252 );

			SetStam( 68, 103 );
			SetMana( 225, 282 );
			SetHits( 783, 1014 );

			SetDamage( 10, 20 );//was 7,15

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 56, 60 );
			SetResistance( ResistanceType.Fire, 40, 50 );
			SetResistance( ResistanceType.Cold, 72, 76 );
			SetResistance( ResistanceType.Poison, 42, 50 );
			SetResistance( ResistanceType.Energy, 51, 60 );

			SetSkill( SkillName.EvalInt, 97.0, 107.8 );
			SetSkill( SkillName.Magery, 96.3, 107.6 );
			SetSkill( SkillName.Necromancy, 97.0, 107.8 );
			SetSkill( SkillName.SpiritSpeak, 96.3, 107.6 );
			SetSkill( SkillName.MagicResist, 90.9, 106.3 );
			SetSkill( SkillName.Tactics, 78.3, 94.3 );
			SetSkill( SkillName.Wrestling, 78.3, 87.3 );

			Fame = 10000;
			Karma = -10000;

			VirtualArmor = 38;

			PackReg( 3 );
			PackNecroReg( 3, 10 );

 }
		public override void GenerateLoot()
		{
			AddLoot( LootPack.AosUltraRich );
			AddLoot( LootPack.AosSuperBoss,2 );
			AddLoot( LootPack.HighScrolls );
			AddLoot( LootPack.Potions );
		}
		
		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }

		public override bool AutoDispel{ get{ return true; } }
		public override Poison PoisonImmune { get { return Poison.Greater; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		public override bool BleedImmune { get { return true; } }
		public override bool IsMLCreature { get { return true;} }


		public MasterMikael( Serial serial ) : base( serial )
		{
		}
		
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 4 ) == 0 )
			{
				Item item;

				switch ( Utility.Random( 5 ))
				{
		                        default:
					case 0: item = new CohennNote1(); break;
					case 1: item = new CohennNote2(); break;
					case 2: item = new CohennNote3(); break;
					case 3: item = new CohennNote4(); break;
					case 4: item = new CohennNote5(); break;
				}
				
				c.DropItem( item );
			}
			else if(0.1>Utility.RandomDouble())c.DropItem(new MiscNote());
			

			base.OnDeath( c );
		}


		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
